Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface JDOMetadata

All Superinterfaces:
  Metadata

    public interface JDOMetadata

extends Metadata

Represents the top-level JDO metadata.

Since:
  3.0

Method Summary
`java.lang.String` | `getCatalog()` Accessor for the catalog (ORM) that all classes in this JDO Metadata default to.
`FetchPlanMetadata[]` | `getFetchPlans()` Accessor for any fetch plans defined on the JDO Metadata.
`int` | `getNumberOfFetchPlans()` Accessor for the number of fetch plans defined in this JDO Metadata.
`int` | `getNumberOfPackages()` Accessor for the number of packages defined in this JDO Metadata.
`int` | `getNumberOfQueries()` Accessor for the number of named queries defined in this JDO Metadata.
`PackageMetadata[]` | `getPackages()` Accessor for all packages defined on the JDO Metadata.
`QueryMetadata[]` | `getQueries()` Accessor for any named queries defined on the JDO Metadata.
`java.lang.String` | `getSchema()` Accessor for the schema (ORM) that all classes in this JDO Metadata default to.
`ClassMetadata` | `newClassMetadata(java.lang.Class cls)` Add a new class to this JDO Metadata.
`FetchPlanMetadata` | `newFetchPlanMetadata(java.lang.String name)` Add a new fetch plan to this JDO Metadata.
`InterfaceMetadata` | `newInterfaceMetadata(java.lang.Class cls)` Add a new interface to this JDO Metadata.
`PackageMetadata` | `newPackageMetadata(java.lang.Package pkg)` Add a new package to this JDO Metadata.
`PackageMetadata` | `newPackageMetadata(java.lang.String pkgName)` Add a new package to this JDO Metadata.
`QueryMetadata` | `newQueryMetadata(java.lang.String name)` Add a new named query to this JDO Metadata.
`JDOMetadata` | `setCatalog(java.lang.String catalog)` Method to set the catalog (ORM) to apply to all classes in this JDO Metadata.
`JDOMetadata` | `setSchema(java.lang.String schema)` Method to set the schema (ORM) to apply to all classes in this JDO Metadata.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setCatalog

    JDOMetadata setCatalog(java.lang.String catalog)

  Method to set the catalog (ORM) to apply to all classes in this JDO Metadata.

  Parameters:
    `catalog` - Catalog name

### getCatalog

    java.lang.String getCatalog()

  Accessor for the catalog (ORM) that all classes in this JDO Metadata default to.

  Returns:
    The catalog

### setSchema

    JDOMetadata setSchema(java.lang.String schema)

  Method to set the schema (ORM) to apply to all classes in this JDO Metadata.

  Parameters:
    `schema` - Schema name

### getSchema

    java.lang.String getSchema()

  Accessor for the schema (ORM) that all classes in this JDO Metadata default to.

  Returns:
    The schema

### getPackages

    PackageMetadata[] getPackages()

  Accessor for all packages defined on the JDO Metadata.

  Returns:
    The packages

### newPackageMetadata

    PackageMetadata newPackageMetadata(java.lang.String pkgName)

  Add a new package to this JDO Metadata.

  Parameters:
    `pkgName` - Name of the package
  Returns:
    The PackageMetadata

### newPackageMetadata

    PackageMetadata newPackageMetadata(java.lang.Package pkg)

  Add a new package to this JDO Metadata.

  Parameters:
    `pkg` - The package
  Returns:
    The PackageMetadata

### getNumberOfPackages

    int getNumberOfPackages()

  Accessor for the number of packages defined in this JDO Metadata.

  Returns:
    The number of packages.

### newClassMetadata

    ClassMetadata newClassMetadata(java.lang.Class cls)

  Add a new class to this JDO Metadata. Adds its package also if not yet existing.

  Parameters:
    `cls` - Class to add
  Returns:
    The ClassMetadata

### newInterfaceMetadata

    InterfaceMetadata newInterfaceMetadata(java.lang.Class cls)

  Add a new interface to this JDO Metadata. Adds its package also if not yet existing.

  Parameters:
    `cls` - Class to add
  Returns:
    The InterfaceMetadata

### getQueries

    QueryMetadata[] getQueries()

  Accessor for any named queries defined on the JDO Metadata.

  Returns:
    The queries

### newQueryMetadata

    QueryMetadata newQueryMetadata(java.lang.String name)

  Add a new named query to this JDO Metadata.

  Parameters:
    `name` - Name of the query
  Returns:
    The QueryMetadata

### getNumberOfQueries

    int getNumberOfQueries()

  Accessor for the number of named queries defined in this JDO Metadata.

  Returns:
    The number of queries.

### getFetchPlans

    FetchPlanMetadata[] getFetchPlans()

  Accessor for any fetch plans defined on the JDO Metadata.

  Returns:
    The fetch plans

### newFetchPlanMetadata

    FetchPlanMetadata newFetchPlanMetadata(java.lang.String name)

  Add a new fetch plan to this JDO Metadata.

  Parameters:
    `name` - Name of the query
  Returns:
    The FetchPlanMetadata

### getNumberOfFetchPlans

    int getNumberOfFetchPlans()

  Accessor for the number of fetch plans defined in this JDO Metadata.

  Returns:
    The number of fetch plans.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.